<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/progressbar.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>progressbar.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for progressbar.c:</div>
<div class="dynsection">
<div class="center"><img src="progressbar_8c__incl.png" border="0" usemap="#util_2progressbar_8c_map" alt=""/></div>
<map name="util_2progressbar_8c_map" id="util_2progressbar_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="progressbar_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d">ProgressBar</a> (int cur, int max, int ival)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="afac4bb91f0e22a14a209a0f60113654d"></a><!-- doxytag: member="progressbar.c::ProgressBar" ref="afac4bb91f0e22a14a209a0f60113654d" args="(int cur, int max, int ival)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ProgressBar </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>cur</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>max</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>ival</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="progressbar_8c_source.html#l00029">29</a> of file <a class="el" href="progressbar_8c_source.html">progressbar.c</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00036">Hext_py_Init()</a>, and <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="progressbar_8c_afac4bb91f0e22a14a209a0f60113654d_icgraph.png" border="0" usemap="#progressbar_8c_afac4bb91f0e22a14a209a0f60113654d_icgraph_map" alt=""></div>
<map name="progressbar_8c_afac4bb91f0e22a14a209a0f60113654d_icgraph_map" id="progressbar_8c_afac4bb91f0e22a14a209a0f60113654d_icgraph">
<area shape="rect" id="node3" href="field_8h.html#acd4f9c6dd876dbb0affeca8be96ee4b4" title="BMatrix" alt="" coords="164,250,231,281"/><area shape="rect" id="node5" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="295,211,388,242"/><area shape="rect" id="node54" href="util_8h.html#a7613b5168812007047e19cf17cc3efa1" title="CalAfe2fe" alt="" coords="159,458,236,489"/><area shape="rect" id="node56" href="util_8h.html#ad3e7b439709d947546efecaf99da3759" title="CalAfe2sq" alt="" coords="579,494,661,525"/><area shape="rect" id="node81" href="init_8h.html#ab880c52c1f93378088ef1e53763aa916" title="FacNB" alt="" coords="311,499,372,530"/><area shape="rect" id="node87" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="151,303,244,334"/><area shape="rect" id="node95" href="myllgjacobian_8c.html#a35010647607c93a40bdab3e86041714f" title="myLLGJacobian" alt="" coords="563,57,677,87"/><area shape="rect" id="node7" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="441,211,511,242"/><area shape="rect" id="node9" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="597,225,643,255"/><area shape="rect" id="node44" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="727,198,828,229"/><area shape="rect" id="node11" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="736,265,819,295"/><area shape="rect" id="node15" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1571,478,1629,509"/><area shape="rect" id="node40" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1411,566,1496,597"/><area shape="rect" id="node50" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="743,57,812,87"/><area shape="rect" id="node13" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1389,441,1517,471"/><area shape="rect" id="node22" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="1232,366,1309,397"/><area shape="rect" id="node27" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="879,250,972,281"/><area shape="rect" id="node19" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1573,619,1627,650"/><area shape="rect" id="node17" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1677,619,1728,650"/><area shape="rect" id="node24" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1391,366,1516,397"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1051,57,1128,87"/><area shape="rect" id="node34" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1043,250,1136,281"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1205,57,1336,87"/><area shape="rect" id="node36" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1244,211,1297,242"/><area shape="rect" id="node46" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="1021,173,1157,203"/><area shape="rect" id="node58" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="727,494,828,525"/><area shape="rect" id="node76" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="729,547,825,578"/><area shape="rect" id="node60" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="883,494,968,525"/><area shape="rect" id="node62" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="1055,547,1124,578"/><area shape="rect" id="node64" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="1384,619,1523,650"/><area shape="rect" id="node71" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="1225,723,1316,754"/><area shape="rect" id="node78" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="887,547,964,578"/><area shape="rect" id="node83" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="447,579,505,610"/><area shape="rect" id="node89" href="hext__py_8c.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="307,297,376,327"/><area shape="rect" id="node91" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="437,277,515,307"/><area shape="rect" id="node98" href="precond_8c.html#a811a9e1276828ec4cf472f954d12b1fc" title="Precond_Init" alt="" coords="879,5,972,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

